Bug 1279093 - (smartirc4net) Review Request: smartirc4net - C# IRC library
Review Request: smartirc4net - C# IRC library
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On: 1336837
Blocks: openra
  Show dependency treegraph
 
Reported: 2015-11-07 15:31 EST by Raphael Groner
Modified: 2016-11-05 18:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-05 18:12:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Raphael Groner 2015-11-07 15:31:58 EST
Spec URL: smartirc4net.spec
SRPM URL: <srpm info here>
Description: C# IRC library
Fedora Account System Username: raphgro

This is just a place holder for an upcoming package request.

URL: https://www.meebey.net/projects/smartirc4net/
Sources: https://github.com/meebey/SmartIrc4net
Comment 1 Matthias Mailänder 2015-11-24 08:41:15 EST
Done: https://build.opensuse.org/package/show/games:openra/smartirc4net
Comment 2 Raphael Groner 2016-05-17 10:22:14 EDT
        src/IrcConnection/IrcConnection.cs(41,7): error CS0246: The type or namespace name `Starksoft' could not be found. Are you missing an assembly reference?
        src/Logger.cs(42,23): error CS0246: The type or namespace name `ILog' could not be found. Are you missing an assembly reference?

Starksoft is available on GitHub as LGPLv3, but without license text.
https://github.com/bentonstark/starksoft-aspen/issues/19
Comment 3 Raphael Groner 2016-05-17 10:23:23 EDT
Found. Sorry for the noise.
https://github.com/bentonstark/starksoft-aspen/blob/master/Starksoft.Aspen/COPYING.LESSER
Comment 4 Raphael Groner 2016-05-17 10:40:10 EDT
(In reply to Raphael Groner from comment #2)
…
>         src/Logger.cs(42,23): error CS0246: The type or namespace name
> `ILog' could not be found. Are you missing an assembly reference?

That's from missing log4net, already packaged. Need to add it as BR.
Comment 5 Matthias Mailänder 2016-05-17 12:57:53 EDT
Please note that OpenRA depends on version 0.4.5.1 not the latest one. I am not sure if those dependencies apply.
Comment 6 Matthias Mailänder 2016-09-27 01:32:36 EDT
https://pkgs.org/fedora-rawhide/fedora-i386/smuxi-engine-1.0.5-1.fc25.i686.rpm.html already bundles it.
Comment 7 Raphael Groner 2016-09-27 12:42:33 EDT
(In reply to Matthias Mailänder from comment #6)
> https://pkgs.org/fedora-rawhide/fedora-i386/smuxi-engine-1.0.5-1.fc25.i686.
> rpm.html already bundles it.

Please report a bug against smuxi and block it with this bug.
https://fedoraproject.org/wiki/Packaging:Guidelines#Bundling_and_Duplication_of_system_libraries

Note You need to log in before you can comment on or make changes to this bug.